Subject: bug#52560: Profiles don't survive roundtrips via files

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 22 Dec 2021 13:30:55 +0100

Paul Pogonyshev <[email-masked]> writes:

> You need any profile that involves unnamed byte-compiled functions,
> i.e. lambda in code. Also, not as leaves, they must call other
> functions, because the problem appears when merging profile backtraces
> with this, i.e. there must be several.  Maybe "default" backtrace of
> running Emacs in 28 and up doesn't include those, but I'm pretty sure
> unnamed functions could not just disappear.

When "doing whatever" includes doing a completing-read, I get some
#<compiled> things...  but after following your recipe, I'm still not
sure I understand what the problem is.  Can you include some screenshots
of the good display and the bad display?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no